Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | List of all members
ezpKernelHandler Interface Reference
Inheritance diagram for ezpKernelHandler:

## Public Member Functions
| run ()
| runCallback (\Closure $callback, $postReinitialize=true)
| reInitialize ()
| hasServiceContainer ()
| getServiceContainer ()

## Static Public Member Functions
static | setUseExceptions ( $useExceptions)

## Detailed Description

File containing the ezpKernelHandler interface.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag// Interface for kernel handlers

Definition at line 14 of file ezpkernelhandler.php.

## Member Function Documentation

## ◆ getServiceContainer()

ezpKernelHandler::getServiceContainer | ( |  | ) |

Returns the Symfony service container if it has been injected, otherwise returns null.

Returns
  \Symfony\Component\DependencyInjection\ContainerInterface|null

Implemented in ezpKernelRest, ezpKernelWeb, ezpKernelTreeMenu, ezpKernel, ezpbKernelWeb, ezpbKernelAdmin, and ezpbKernel.

## ◆ hasServiceContainer()

ezpKernelHandler::hasServiceContainer | ( |  | ) |

Checks whether the kernel handler has the Symfony service container container or not.

Returns
  bool

Implemented in ezpKernelRest, ezpKernelWeb, ezpKernelTreeMenu, ezpKernel, ezpbKernelWeb, ezpbKernelAdmin, and ezpbKernel.

## ◆ reInitialize()

ezpKernelHandler::reInitialize | ( |  | ) |

Reinitializes the kernel environment.

@abstract

Returns
  void

Implemented in ezpKernelRest, ezpKernelWeb, ezpKernelTreeMenu, ezpKernel, ezpbKernelWeb, ezpbKernelAdmin, and ezpbKernel.

## ◆ run()

ezpKernelHandler::run | ( |  | ) |

Execution point for controller actions. Returns false if not supported

Returns
  ezpKernelResult

Implemented in ezpKernelRest, ezpKernelWeb, ezpKernelTreeMenu, ezpKernel, ezpbKernelWeb, ezpbKernelAdmin, and ezpbKernel.

## ◆ runCallback()

ezpKernelHandler::runCallback | ( | \Closure | $callback,
|  |  | $postReinitialize = `true`
| ) |  |

Runs a callback function in the kernel environment. This is useful to run Exponential 4.x code from a non-related context (like Exponential 5)

Parameters

  \Closure | $callback |
  bool | $postReinitialize | Default is true. If set to false, the kernel environment will not be reinitialized. This can be useful to optimize several calls to the kernel within the same context.

Returns
  mixed The result of the callback

Implemented in ezpKernelRest, ezpKernelWeb, ezpKernelTreeMenu, ezpKernel, ezpbKernelWeb, ezpbKernelAdmin, and ezpbKernel.

## ◆ setUseExceptions()

static ezpKernelHandler::setUseExceptions | ( |  | $useExceptions | ) |
| static

Sets whether to use exceptions inside the kernel.

Parameters

  bool | $useExceptions |

Implemented in ezpKernelRest, ezpKernelWeb, ezpKernelTreeMenu, ezpKernel, ezpbKernelWeb, ezpbKernelAdmin, and ezpbKernel.

The documentation for this interface was generated from the following file:

- ezpkernelhandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.